
package Text::Wigwam::Stash::Base::Magic::Code;

use strict;
use warnings;
no warnings 'uninitialized';

our $VERSION = '0.01';

use base 'Text::Wigwam::Stash::Base::Magic';

sub DEFAULT  { _condense($_[1]->($_[2])) }

sub _condense {
    return [@_] if scalar @_ > 1;
    return $_[0];
}

1;
